Subject: Re: [bug#42106] [PATCH 1/4] gnu: Add r-r2d3.

From: Lo Peter <[email-masked]>
Date: Sat, 12 Sep 2020 15:54:25 +0800

Dear Ricardo,

Sorry that I was not aware of the problem regarding the javascript for
the R package, because I simply import it from CRAN. I will try to be
more careful in the future.

Regards,
Peter

On Fri, Sep 11, 2020 at 5:17 PM Ricardo Wurmus <[email-masked]> wrote:
>
>
> Hi Peter,
>
> > * gnu/packages/cran.scm (r-r2d3): New variable.
>
> Unfortunately, I cannot merge this as is.  This package contains a bunch
> of minified JavaScript files without the corresponding source code:
>
> --8<---------------cut here---------------start------------->8---
> r2d3/inst/www/d3/4.13.0/d3.min.js
> r2d3/inst/www/d3/3.5.17/d3.min.js
> r2d3/inst/www/d3/5.0.0/d3.min.js
> r2d3/inst/htmlwidgets/lib/webcomponents/webcomponents.js
> --8<---------------cut here---------------end--------------->8---
>
> While we can easily replace the different d3 versions with non-minified
> source code that we then minify in a build phase, we cannot do this for
> webcomponents.js, which is compiled from TypeScript.  The source code is
> here:
>
>     https://github.com/webcomponents/polyfills/tree/master/packages/webcomponentsjs
>
> Arun is currently working on packaging swc, a transpiler that supports
> TypeScript, so with some luck we might then be able to transpile these
> TypeScript source files to webcomponents.js.
>
> Until then I cannot merge this, I’m afraid.
>
> --
> Ricardo